* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* overflow-x: hidden; */
}

body {
  background: #e1e5ea;
}

.dark-mode {
	background-color: #222222;
	color: white;
}

#logo {
 height: 3vw;
 width: auto;
 background: whitesmoke;
 border-radius: 50%;
 padding: 3px;
 margin: 5px;
  
}

#logo:hover {
  background: #08ffd8;
  box-shadow: 0 0 5px 2px #08fdd8;
}

.navbar {
  background: rgba(57, 62, 70, 0.6) !important;
}

.nav-link {
  font-size: 2rem;
}


.nav-link .nav-icon {
  color: whitesmoke;
  margin: 0 20px;
}

.nav-link .nav-icon:hover {
  color: #08fdd8;
}

.nav-link .nav-icon:active {
  color: #262525;
}

.navbar-collapse {
  text-align: right;
}

.dark-toggle{
  color: whitesmoke;
  cursor: pointer;
  font-size: 2rem;
  margin-top: 10px;
  margin-left: 20px;
  margin-right: 20px;
}

.dark-toggle:hover{
  color: #08fdd8;

}

.dark-toggle:active{
  color: #262525;

}



.heading-content {
  position: absolute;
  top: 18%;
  width: 100%;
  max-width: 100%;
  color: whitesmoke;
  font-family: 'Lato', sans-serif;
  cursor: default;
}




.heading-content h5 {
  /* font-family: 'Lora', serif; */
  font-size: 2.5vw;
  letter-spacing: 15px;
  font-weight: 400;
}

.my-name {
  /* font-family: 'Courier Prime', monospace; */
  font-size: 5vw;
  font-weight: 600;
  /* margin: 50px 0; */
}


.my-name .words {
  margin: 0 10px;
}

.my-name .words .letters {
  margin: 0 -3px;
  
}

.my-name .words .letters:hover {
  color: #08fdd8;
  text-decoration: underline;
}

.heading-content p {
  /* font-family: 'Lora', serif; */
  font-size: 2.5vw;
  font-weight: 400;
  letter-spacing: 10px;

}

#about{
  /* background: whitesmoke;  */
  padding-top: 100px;
  padding-bottom: 100px;
}

#projects{
  /* background: whitesmoke;  */
  padding-top: 100px;
  padding-bottom: 100px;
}

#contact{
  /* background: whitesmoke;  */
  padding-top: 100px;
  padding-bottom: 100px;
}

#about .btn {
  border: 2px solid lightslategray;
  width: 40%;
  padding: 15px 22px;;
  background: #222831;
  border-radius: 15px;
  margin-top: 10px;
}

#about a .btn{
  color: whitesmoke;
  text-decoration: none;
  font-size: 1em;
  text-transform: uppercase;
  font-family: 'Poppins', sans-serif;
}

#about .btn:hover {
  background: lightslategray;
  border: 2px solid #222831;
}

.failed {
  color: red;
}

.ongoing {
  color: lightslategray;
}

#contact form {
  padding: 20px;
  border: 2px solid #222831;
  border-radius: 10px;
  background: #a7bbc7;
  font-family: 'Poppins', sans-serif;
}

#contact form:hover {
  box-shadow: 0 0 5px 2px rgba(140, 140, 140, 0.8);

}

.proj-desc {
  font-family: 'Lora', serif;
}




.form-control {
  border-radius: 10px;
  background: #d8e3e7;
}

.form-control:focus {
  border-radius: 10px;
  background: #d8e3e7;
}


.form-control::placeholder{
  font-family: 'Lora', serif;
  font-style: italic;
}



.section-title {
  font-family: 'Courier Prime', monospace;
}

.footer-bottom {
  background-color: rgba(0,0,0,0.6);
}

.post-heading {
  /* color: #222831; */
  margin-top: 20px;
}
.about-description h2{
  text-align: center;
  /* color: #222831; */
}

@media screen and (max-width: 769px) {
  #logo {
  height: 4vw;
  width: auto;
  }

  .nav-link {
    font-size: 1.5rem;
  }

  .dark-toggle{
    font-size: 1.6rem;      
  }

  


}

@media screen and (max-width: 500px) {
  #logo {
    height: 8vw;
    width: auto;
    }
    .about-description {
      text-align: center;
    }
    .about-description h2{
      text-align: center;
      margin-top: 30px;
      font-size: 1.5rem;
    }

    #home{
      padding-bottom: 20px;
    }
    
    #about, #projects, #contact {
      padding-bottom: 20px;
      padding-top: 20px;
    }

    .post-heading h3 {
      font-size: 2rem;
    }


    .heading-content h5 {
      /* font-family: 'Lora', serif; */
      font-size: 2vw;
      letter-spacing: 5px;
      font-weight: 400;
    }

    .project-title {
      font-size: 1.5rem;
    }
    
    .my-name {
      /* font-family: 'Courier Prime', monospace; */
      font-size: 5vw;
      font-weight: 600;
      /* margin: 50px 0; */
    }

    .proj-desc {
      font-size: 1rem;
      font-family: 'Lora', serif;
    }

    
    
    .my-name .words {
      margin: 0 10px;
    }
    
    .my-name .words .letters {
      margin: 0 0px;
      
    }

    .heading-content p {
      /* font-family: 'Lora', serif; */
      font-size: 2.5vw;
      font-weight: 400;
      letter-spacing: 5px;
    
    }


    .heading-content {
      top: 8%;
    }

    .nav-link {
      font-size: 1.2rem;
    }

    .navbar {
      padding:0;
    }

    .dark-toggle{
      font-size: 1.3rem;      
    }

    
}

@media screen and (max-width: 376px) {
  .heading-content {
    top: 8%;
  }


}




.carousel-inner{
  border-radius: 25px;
}
.carousel{
  border-radius: 25px;
}
.carousel:hover{
  box-shadow: 0 0 5px 3px rgba(140, 140, 140, 0.8);
}


#orb {
  height: 5px;
  width: 5px;
  margin-left:-5px;
  background:#08fdd8;
  position:absolute;
  border-radius: 50%;
  box-shadow: 0 0 5px 3px #08fdd8;
}